Subject: Re: PHY firmware update method

From: Andrew Lunn <[email-masked]>
Date: Tue, 24 Jan 2023 21:42:22 +0100

> So if you'd do this during the PHY probe, it might try to update the
> firmware on every boot and fail. Would that be acceptable?

Do you have a feeling how long that takes?

Also, is it possible to put the firmware into RAM and run it from
there, rather than put it into the EEPROM?

> How long could can a firmware update during probe run? Do we need
> to do it in the background with the PHY being offline. Sounds like
> not something we want.

One device being slow to probe will slow down the probe of that
bus. But probe of other busses should be unaffected. I _guess_ it
might have a global affect on EPROBE_DEFER, the next cycle could be
delayed?  Probably a question for GregKH, or reading the code.

If it going to be really slow, then i would suggest making use of
devlink and it being a user initiated operation.

	Andrew